
// 按钮使用方式 v-permission:参数 = '值' 参数可不要
import store from '@/store'
export default {
  inserted (el, binding) {
    if (!binding.value || !binding.value.length) {
      el.parentNode.removeChild(el) // 移除元素
      return
    }
    // 如果绑定值为 false，则从父节点中移除元素 binding.value = ['/**** *']
    const permission = store.getters.permission
    const list = binding.value.shift()

    if (!permission.includes(list)) {
      el.parentNode.removeChild(el) // 移除元素
    }
  }
}
